<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.menu.ImageMenuItem</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.menu-module.html">Module&nbsp;menu</a> ::
        Class&nbsp;ImageMenuItem
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.menu.ImageMenuItem-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class ImageMenuItem</h1><span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem">source&nbsp;code</a></span><br /><br />
<pre class="base-tree">
        object --+                                
                 |                                
   gobject.GObject --+                            
                     |                            
            gtk.Object --+                        
                         |                        
        object --+       |                        
                 |       |                        
gobject.GInterface --+   |                        
                     |   |                        
  atk.ImplementorIface --+                        
                         |                        
        object --+       |                        
                 |       |                        
gobject.GInterface --+   |                        
                     |   |                        
         gtk.Buildable --+                        
                         |                        
                gtk.Widget --+                    
                             |                    
                 gtk.Container --+                
                                 |                
                           gtk.Bin --+            
                                     |            
                              gtk.Item --+        
                                         |        
                              gtk.MenuItem --+    
                                             |    
                             gtk.ImageMenuItem --+
                                                 |
                                                <strong class="uidshort">ImageMenuItem</strong>
</pre>

<hr />
A menuitem with a custom image and label. To set the image to a 
  non-stock image, just create the menuitem without an image and then set 
  the image with the appropriate method.<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.menu.ImageMenuItem-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stock</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">gtk-missing-image</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">label</span>=<span class="summary-sig-default">None</span>)</span><br />
      stock: a stock image or 'none'.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="set_image_from_file"></a><span class="summary-sig-name">set_image_from_file</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">filename</span>)</span><br />
      Set the image from file.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.set_image_from_file">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="set_image_from_pixbuf"></a><span class="summary-sig-name">set_image_from_pixbuf</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">pixbuf</span>)</span><br />
      Set the image from a pixbuf.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.set_image_from_pixbuf">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="set_image_from_stock"></a><span class="summary-sig-name">set_image_from_stock</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>)</span><br />
      Set the image from a stock image.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.set_image_from_stock">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="set_label"></a><span class="summary-sig-name">set_label</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">text</span>)</span><br />
      Set the label's text.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.set_label">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="set_image_size"></a><span class="summary-sig-name">set_image_size</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>)</span><br />
      Resize the menuitem's image.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.set_image_size">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.ImageMenuItem</code></b>:
      <code>get_image</code>,
      <code>set_image</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.MenuItem</code></b>:
      <code>activate</code>,
      <code>deselect</code>,
      <code>do_activate</code>,
      <code>do_activate_item</code>,
      <code>do_toggle_size_allocate</code>,
      <code>get_right_justified</code>,
      <code>get_submenu</code>,
      <code>remove_submenu</code>,
      <code>right_justify</code>,
      <code>select</code>,
      <code>set_accel_path</code>,
      <code>set_right_justified</code>,
      <code>set_submenu</code>,
      <code>toggle_size_allocate</code>,
      <code>toggle_size_request</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Item</code></b>:
      <code>do_deselect</code>,
      <code>do_select</code>,
      <code>do_toggle</code>,
      <code>toggle</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Bin</code></b>:
      <code>get_child</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Container</code></b>:
      <code>__iter__</code>,
      <code>__len__</code>,
      <code>__nonzero__</code>,
      <code>add</code>,
      <code>add_with_properties</code>,
      <code>check_resize</code>,
      <code>child_get</code>,
      <code>child_get_property</code>,
      <code>child_set</code>,
      <code>child_set_property</code>,
      <code>child_type</code>,
      <code>children</code>,
      <code>do_add</code>,
      <code>do_check_resize</code>,
      <code>do_child_type</code>,
      <code>do_composite_name</code>,
      <code>do_forall</code>,
      <code>do_get_child_property</code>,
      <code>do_remove</code>,
      <code>do_set_child_property</code>,
      <code>do_set_focus_child</code>,
      <code>forall</code>,
      <code>foreach</code>,
      <code>get_border_width</code>,
      <code>get_children</code>,
      <code>get_focus_chain</code>,
      <code>get_focus_hadjustment</code>,
      <code>get_focus_vadjustment</code>,
      <code>get_resize_mode</code>,
      <code>install_child_property</code>,
      <code>list_child_properties</code>,
      <code>propagate_expose</code>,
      <code>remove</code>,
      <code>resize_children</code>,
      <code>set_border_width</code>,
      <code>set_focus_chain</code>,
      <code>set_focus_child</code>,
      <code>set_focus_hadjustment</code>,
      <code>set_focus_vadjustment</code>,
      <code>set_reallocate_redraws</code>,
      <code>set_resize_mode</code>,
      <code>unset_focus_chain</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Widget</code></b>:
      <code>add_accelerator</code>,
      <code>add_events</code>,
      <code>add_mnemonic_label</code>,
      <code>can_activate_accel</code>,
      <code>child_focus</code>,
      <code>child_notify</code>,
      <code>class_path</code>,
      <code>create_pango_context</code>,
      <code>create_pango_layout</code>,
      <code>destroy</code>,
      <code>do_button_press_event</code>,
      <code>do_button_release_event</code>,
      <code>do_can_activate_accel</code>,
      <code>do_client_event</code>,
      <code>do_composited_changed</code>,
      <code>do_configure_event</code>,
      <code>do_delete_event</code>,
      <code>do_destroy_event</code>,
      <code>do_direction_changed</code>,
      <code>do_drag_begin</code>,
      <code>do_drag_data_delete</code>,
      <code>do_drag_data_get</code>,
      <code>do_drag_data_received</code>,
      <code>do_drag_drop</code>,
      <code>do_drag_end</code>,
      <code>do_drag_leave</code>,
      <code>do_drag_motion</code>,
      <code>do_enter_notify_event</code>,
      <code>do_event</code>,
      <code>do_expose_event</code>,
      <code>do_focus</code>,
      <code>do_focus_in_event</code>,
      <code>do_focus_out_event</code>,
      <code>do_get_accessible</code>,
      <code>do_grab_broken_event</code>,
      <code>do_grab_focus</code>,
      <code>do_grab_notify</code>,
      <code>do_hide</code>,
      <code>do_hide_all</code>,
      <code>do_hierarchy_changed</code>,
      <code>do_key_press_event</code>,
      <code>do_key_release_event</code>,
      <code>do_leave_notify_event</code>,
      <code>do_map</code>,
      <code>do_map_event</code>,
      <code>do_mnemonic_activate</code>,
      <code>do_motion_notify_event</code>,
      <code>do_no_expose_event</code>,
      <code>do_parent_set</code>,
      <code>do_popup_menu</code>,
      <code>do_property_notify_event</code>,
      <code>do_proximity_in_event</code>,
      <code>do_proximity_out_event</code>,
      <code>do_realize</code>,
      <code>do_screen_changed</code>,
      <code>do_scroll_event</code>,
      <code>do_selection_clear_event</code>,
      <code>do_selection_get</code>,
      <code>do_selection_notify_event</code>,
      <code>do_selection_received</code>,
      <code>do_selection_request_event</code>,
      <code>do_show</code>,
      <code>do_show_all</code>,
      <code>do_show_help</code>,
      <code>do_size_allocate</code>,
      <code>do_size_request</code>,
      <code>do_state_changed</code>,
      <code>do_style_set</code>,
      <code>do_unmap</code>,
      <code>do_unmap_event</code>,
      <code>do_unrealize</code>,
      <code>do_visibility_notify_event</code>,
      <code>do_window_state_event</code>,
      <code>drag_begin</code>,
      <code>drag_check_threshold</code>,
      <code>drag_dest_add_image_targets</code>,
      <code>drag_dest_add_text_targets</code>,
      <code>drag_dest_add_uri_targets</code>,
      <code>drag_dest_find_target</code>,
      <code>drag_dest_get_target_list</code>,
      <code>drag_dest_get_track_motion</code>,
      <code>drag_dest_set</code>,
      <code>drag_dest_set_proxy</code>,
      <code>drag_dest_set_target_list</code>,
      <code>drag_dest_set_track_motion</code>,
      <code>drag_dest_unset</code>,
      <code>drag_get_data</code>,
      <code>drag_highlight</code>,
      <code>drag_source_add_image_targets</code>,
      <code>drag_source_add_text_targets</code>,
      <code>drag_source_add_uri_targets</code>,
      <code>drag_source_get_target_list</code>,
      <code>drag_source_set</code>,
      <code>drag_source_set_icon</code>,
      <code>drag_source_set_icon_name</code>,
      <code>drag_source_set_icon_pixbuf</code>,
      <code>drag_source_set_icon_stock</code>,
      <code>drag_source_set_target_list</code>,
      <code>drag_source_unset</code>,
      <code>drag_unhighlight</code>,
      <code>draw</code>,
      <code>ensure_style</code>,
      <code>error_bell</code>,
      <code>event</code>,
      <code>freeze_child_notify</code>,
      <code>get_accessible</code>,
      <code>get_action</code>,
      <code>get_activate_signal</code>,
      <code>get_allocation</code>,
      <code>get_ancestor</code>,
      <code>get_child_requisition</code>,
      <code>get_child_visible</code>,
      <code>get_clipboard</code>,
      <code>get_colormap</code>,
      <code>get_composite_name</code>,
      <code>get_direction</code>,
      <code>get_display</code>,
      <code>get_events</code>,
      <code>get_extension_events</code>,
      <code>get_has_tooltip</code>,
      <code>get_modifier_style</code>,
      <code>get_name</code>,
      <code>get_no_show_all</code>,
      <code>get_pango_context</code>,
      <code>get_parent</code>,
      <code>get_parent_window</code>,
      <code>get_pointer</code>,
      <code>get_root_window</code>,
      <code>get_screen</code>,
      <code>get_settings</code>,
      <code>get_size_request</code>,
      <code>get_style</code>,
      <code>get_tooltip_markup</code>,
      <code>get_tooltip_text</code>,
      <code>get_tooltip_window</code>,
      <code>get_toplevel</code>,
      <code>get_visual</code>,
      <code>grab_add</code>,
      <code>grab_default</code>,
      <code>grab_focus</code>,
      <code>grab_remove</code>,
      <code>has_screen</code>,
      <code>hide</code>,
      <code>hide_all</code>,
      <code>hide_on_delete</code>,
      <code>input_shape_combine_mask</code>,
      <code>intersect</code>,
      <code>is_ancestor</code>,
      <code>is_composited</code>,
      <code>is_focus</code>,
      <code>keynav_failed</code>,
      <code>list_mnemonic_labels</code>,
      <code>map</code>,
      <code>menu_get_for_attach_widget</code>,
      <code>mnemonic_activate</code>,
      <code>modify_base</code>,
      <code>modify_bg</code>,
      <code>modify_cursor</code>,
      <code>modify_fg</code>,
      <code>modify_font</code>,
      <code>modify_style</code>,
      <code>modify_text</code>,
      <code>path</code>,
      <code>queue_clear</code>,
      <code>queue_clear_area</code>,
      <code>queue_draw</code>,
      <code>queue_draw_area</code>,
      <code>queue_resize</code>,
      <code>queue_resize_no_redraw</code>,
      <code>rc_get_style</code>,
      <code>realize</code>,
      <code>region_intersect</code>,
      <code>remove_accelerator</code>,
      <code>remove_mnemonic_label</code>,
      <code>render_icon</code>,
      <code>reparent</code>,
      <code>reset_rc_styles</code>,
      <code>reset_shapes</code>,
      <code>selection_add_target</code>,
      <code>selection_add_targets</code>,
      <code>selection_clear_targets</code>,
      <code>selection_convert</code>,
      <code>selection_owner_set</code>,
      <code>selection_remove_all</code>,
      <code>send_expose</code>,
      <code>set_activate_signal</code>,
      <code>set_app_paintable</code>,
      <code>set_child_visible</code>,
      <code>set_colormap</code>,
      <code>set_composite_name</code>,
      <code>set_direction</code>,
      <code>set_double_buffered</code>,
      <code>set_events</code>,
      <code>set_extension_events</code>,
      <code>set_name</code>,
      <code>set_no_show_all</code>,
      <code>set_parent</code>,
      <code>set_parent_window</code>,
      <code>set_redraw_on_allocate</code>,
      <code>set_scroll_adjustments</code>,
      <code>set_sensitive</code>,
      <code>set_set_scroll_adjustments_signal</code>,
      <code>set_size_request</code>,
      <code>set_state</code>,
      <code>set_style</code>,
      <code>set_tooltip_markup</code>,
      <code>set_tooltip_text</code>,
      <code>set_tooltip_window</code>,
      <code>set_uposition</code>,
      <code>set_usize</code>,
      <code>shape_combine_mask</code>,
      <code>show</code>,
      <code>show_all</code>,
      <code>show_now</code>,
      <code>size_allocate</code>,
      <code>size_request</code>,
      <code>style_get_property</code>,
      <code>thaw_child_notify</code>,
      <code>translate_coordinates</code>,
      <code>trigger_tooltip_query</code>,
      <code>unmap</code>,
      <code>unparent</code>,
      <code>unrealize</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Object</code></b>:
      <code>do_destroy</code>,
      <code>flags</code>,
      <code>remove_data</code>,
      <code>remove_no_notify</code>,
      <code>set_flags</code>,
      <code>unset_flags</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__cmp__</code>,
      <code>__delattr__</code>,
      <code>__gdoc__</code>,
      <code>__gobject_init__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>chain</code>,
      <code>connect</code>,
      <code>connect_after</code>,
      <code>connect_object</code>,
      <code>connect_object_after</code>,
      <code>disconnect</code>,
      <code>disconnect_by_func</code>,
      <code>emit</code>,
      <code>emit_stop_by_name</code>,
      <code>freeze_notify</code>,
      <code>get_data</code>,
      <code>get_properties</code>,
      <code>get_property</code>,
      <code>handler_block</code>,
      <code>handler_block_by_func</code>,
      <code>handler_disconnect</code>,
      <code>handler_is_connected</code>,
      <code>handler_unblock</code>,
      <code>handler_unblock_by_func</code>,
      <code>notify</code>,
      <code>props</code>,
      <code>set_data</code>,
      <code>set_properties</code>,
      <code>set_property</code>,
      <code>stop_emission</code>,
      <code>thaw_notify</code>,
      <code>weak_ref</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>atk.ImplementorIface</code></b>:
      <code>ref_accessible</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Buildable</code></b>:
      <code>add_child</code>,
      <code>construct_child</code>,
      <code>do_add_child</code>,
      <code>do_construct_child</code>,
      <code>do_get_internal_child</code>,
      <code>do_parser_finished</code>,
      <code>do_set_name</code>,
      <code>get_internal_child</code>,
      <code>parser_finished</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__getattribute__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__str__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.ImageMenuItem</code></b>:
      <code>__gtype__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Bin</code></b>:
      <code>child</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Container</code></b>:
      <code>border_width</code>,
      <code>focus_child</code>,
      <code>has_focus_chain</code>,
      <code>need_resize</code>,
      <code>reallocate_redraws</code>,
      <code>resize_mode</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Widget</code></b>:
      <code>allocation</code>,
      <code>name</code>,
      <code>parent</code>,
      <code>saved_state</code>,
      <code>state</code>,
      <code>style</code>,
      <code>window</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__grefcount__</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stock</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">gtk-missing-image</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">label</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.menu-pysrc.html#ImageMenuItem.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  stock: a stock image or 'none'. label: text to set as the label or 
  None.
  <dl class="fields">
    <dt>Overrides:
      gtk.ImageMenuItem.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:57 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
